summaryrefslogtreecommitdiff
path: root/wallet.html.j2
diff options
context:
space:
mode:
Diffstat (limited to 'wallet.html.j2')
-rw-r--r--wallet.html.j218
1 files changed, 5 insertions, 13 deletions
diff --git a/wallet.html.j2 b/wallet.html.j2
index 8f75397..c18fc4e 100644
--- a/wallet.html.j2
+++ b/wallet.html.j2
@@ -31,16 +31,6 @@
var chrome_min_version = '51';
-function onSuccess() {
- console.log("installation successful");
- document.getElementById("install-result").appendChild(document.createTextNode("Installation was successful."));
-}
-
-function onFailure(detail) {
- console.error("installation failed:", detail);
- document.getElementById("install-result").appendChild(document.createTextNode("Installation failed: " + detail));
-}
-
function installWallet() {
if (window.chrome) {
chrome.webstore.install("https://chrome.google.com/webstore/detail/millncjiddlpgdmkklmhfadpacifaonc", onSuccess, onFailure);
@@ -143,9 +133,11 @@ document.addEventListener('DOMContentLoaded', onLoad);
<a href="https://www.google.com/chrome">Google Chrome</a> or <a href="https://www.chromium.org/">Chromium</a>
version <span id="chrome-min-version"></span> or newer is required, but it appears you have an older version.</p>
<div id="inline-install-chrome">
- <button onclick="installWallet()" id="install-button">
- Install wallet
- </button>
+ <form target="_blank" action="https://chrome.google.com/webstore/detail/gnu-taler-wallet/millncjiddlpgdmkklmhfadpacifaonc">
+ <button action="submit">
+ Install wallet
+ </button>
+ </form>
<noscript>
<em style="color:darkred;">JavaScript is disabled, installation won't work.</em>
</noscript>